package cn.com.qmth.stmms.biz.exam.service.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.ScoreRate;

public class ScoreRateSearchQuery extends BaseQuery<ScoreRate> {

    private int examId;
    
    private String campusName;

    private String subjectCode;

    private Boolean objective;
    

    public void orderBySubjectAndNumber() {
        setSort(new Sort(Direction.ASC, "pk.subjectCode", "pk.campusName","pk.mainNumber", "pk.subNumber"));
    }

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Boolean getObjective() {
        return objective;
    }

    public void setObjective(Boolean objective) {
        this.objective = objective;
    }

	public String getCampusName() {
		return campusName;
	}

	public void setCampusName(String campusName) {
		this.campusName = campusName;
	}

}
